/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workfullmanage.service;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workfullmanage.dao.WorkFullConstructDao;
import com.jeeplus.modules.workfullmanage.entity.WorkFullConstruct;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 施工单位联系人Service
 * @author mapengbo
 * @version 2017-10-25
 */
@Service
@Transactional(readOnly = true)
public class WorkFullConstructService extends CrudService<WorkFullConstructDao, WorkFullConstruct> {

	public WorkFullConstruct get(String id) {
		return super.get(id);
	}
	
	public List<WorkFullConstruct> findList(WorkFullConstruct workFullConstruct) {
		return super.findList(workFullConstruct);
	}
	
	public Page<WorkFullConstruct> findPage(Page<WorkFullConstruct> page, WorkFullConstruct workFullConstruct) {
		return super.findPage(page, workFullConstruct);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkFullConstruct workFullConstruct) {
		super.save(workFullConstruct);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkFullConstruct workFullConstruct) {
		super.delete(workFullConstruct);
	}
	
	
	
	
}